RegistrationPlugin (softwaregateway-client 2.0.0-3.7.0 API)
Date: 2015-05-19

org.gcube.vremanagement.softwaregateway.client.plugins

## Class RegistrationPlugin

- java.lang.Object
- - org.gcube.vremanagement.softwaregateway.client.plugins.AbstractPlugin<SGRegistrationServiceJAXWSStubs,SGRegistrationLibrary>
  - - org.gcube.vremanagement.softwaregateway.client.plugins.RegistrationPlugin

- All Implemented Interfaces:
    org.gcube.common.clients.delegates.ProxyPlugin<EndpointReference,SGRegistrationServiceJAXWSStubs,SGRegistrationLibrary>, org.gcube.common.clients.fw.plugin.Plugin<SGRegistrationServiceJAXWSStubs,SGRegistrationLibrary>

      public class RegistrationPlugin
      extends AbstractPlugin<SGRegistrationServiceJAXWSStubs,SGRegistrationLibrary>

  Author:
    Roberto Cirillo (ISTI -CNR)

- - ### Field Summary

    - ### Fields inherited from class org.gcube.vremanagement.softwaregateway.client.plugins.AbstractPlugin

      `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegistrationPlugin()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `namespace()`
    `SGRegistrationLibrary` | `newProxy(org.gcube.common.clients.delegates.ProxyDelegate<SGRegistrationServiceJAXWSStubs> delegate)`
    `SGRegistrationServiceJAXWSStubs` | `resolve(EndpointReference reference, org.gcube.common.clients.config.ProxyConfig<?,?> config)`

    - ### Methods inherited from class org.gcube.vremanagement.softwaregateway.client.plugins.AbstractPlugin

      `convert, name, serviceClass, serviceName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegistrationPlugin

          public RegistrationPlugin()

  - ### Method Detail

    - #### resolve

          public SGRegistrationServiceJAXWSStubs resolve(EndpointReference reference,
                                                org.gcube.common.clients.config.ProxyConfig<?,?> config)
                                                  throws Exception

      Throws:
        `Exception`

    - #### newProxy

          public SGRegistrationLibrary newProxy(org.gcube.common.clients.delegates.ProxyDelegate<SGRegistrationServiceJAXWSStubs> delegate)

    - #### namespace

          public String namespace()

Copyright © 2015. All Rights Reserved.